oracle.adf.view.rich.context

## Class PageFlowScopeProvider

- java.lang.Object
- - oracle.adf.view.rich.context.PageFlowScopeProvider

- Deprecated.
  use the Trinidad PageFlowScopeProvider

      @Exported
      public class PageFlowScopeProvider
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encodeCurrentPageFlowScopeURL(javax.faces.context.FacesContext context, String url)` Deprecated. Encode the page flow scope into the current URL for processing in later requests.
    `Map<String,Object>` | `getPageFlowScope(javax.faces.context.FacesContext context)` Deprecated. Returns the current PageFlowScope, including any calls to `pushPageFlowScope()` or `popPageFlowScope()`.
    `Map<String,Object>` | `popPageFlowScope(javax.faces.context.FacesContext context, boolean discardScope)` Deprecated. Pushes a new process scope onto the stack.
    `Map<String,Object>` | `pushPageFlowScope(javax.faces.context.FacesContext context, boolean copyParent)` Deprecated. Pushes a new process scope onto the stack.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPageFlowScope

          public Map<String,Object> getPageFlowScope(javax.faces.context.FacesContext context)

      Deprecated.
      Returns the current PageFlowScope, including any calls to `pushPageFlowScope()` or `popPageFlowScope()`.
      Parameters:
        `context` - the current FacesContext
      Returns:
        the current PageFlowScope

    - #### pushPageFlowScope

          public Map<String,Object> pushPageFlowScope(javax.faces.context.FacesContext context,
                                                      boolean copyParent)

      Deprecated.
      Pushes a new process scope onto the stack.
      Parameters:
        `context` - the current FacesContext
        `copyParent` - if true, all values from the parent process scope will be copied into the new process scope.
      Returns:
        the new scope

    - #### popPageFlowScope

          public Map<String,Object> popPageFlowScope(javax.faces.context.FacesContext context,
                                                     boolean discardScope)

      Deprecated.
      Pushes a new process scope onto the stack.
      Parameters:
        `context` - the current FacesContext
        `discardScope` - if true, the scope will be immediately destroyed. if false, the scope may be available (for back button use, for example), but this is at the discretion of the implementation, which may aggressively destroy page flow scopes in some circumstances.
      Returns:
        a new process scope onto the stack.

    - #### encodeCurrentPageFlowScopeURL

          public String encodeCurrentPageFlowScopeURL(javax.faces.context.FacesContext context,
                                                      String url)

      Deprecated.
      Encode the page flow scope into the current URL for processing in later requests.
      Parameters:
        `context` - the current FacesContext
        `url` - an URL (which may already contain query parameters)
      Returns:
        an url with the page flow scope encoded.

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.